#!/usr/bin/bash

if [[ -z "$1" ]]; then
    echo "Please suppy a version: 0.0.0[a | b | rc-0]"
    exit
fi

set -e

cargo build --release --target x86_64-pc-windows-gnu
cargo build --release --target x86_64-unknown-linux-gnu
cargo build --release --target aarch64-unknown-linux-gnu

cp ./target/x86_64-pc-windows-gnu/release/mcmg.exe ./target/mcmg_win32.exe
cp ./target/x86_64-unknown-linux-gnu/release/mcmg ./target/mcmg_linux_x86_64
cp ./target/aarch64-unknown-linux-gnu/release/mcmg ./target/mcmg_linux_aarch64
cp ./scripts/setup-template.sh "./target/mcmg-setup-$1.sh"
cp ./scripts/setup-template.ps1 "./target/mcmg-setup-$1.ps1"
